Index: lib/spatial/mapbuilder/CHANGES
===================================================================
--- lib/spatial/mapbuilder/CHANGES	(revision 4306)
+++ lib/spatial/mapbuilder/CHANGES	(revision 4307)
@@ -1,10 +1,337 @@
 
 mapbuilder-lib Release Information
 ==================================
-$Id$
+$Id: CHANGES 3969 2008-04-12 11:41:46Z camerons $
 
 This file contains information about updates to each release:
 
+
+mapbuilder-lib-1.5-rc2
+======================
+This is a minor release, addressing some bug fixes, compatibility with IE7 and Firefox 3, and adds a catalog client.
+
+It covers the following:
+* Javascript was cleaned up to be compatible with Openlayers coding practices.
+* Address issues triggered when working with Prototype.js. MAP-485
+* A number of bug fixes
+* Old redundant widgets were moved to an archive
+* Introduction of a catalog search example
+* Added support for IE7 and Firefox 3.
+
+mapbuilder-lib-1.5-rc1
+======================
+
+mapbuilder-lib-1.5-alpha2
+==========================
+This Mapbuilder release is largely a bugfix and cleanup release on the
+road to rc1.
+
+Note: A number of the current and fixed bugs are tied to the progress of the
+larger tasks in the OpenLayers integration. See MAP-259 for an overview.
+
+Bugs fixed:
+----------
+MAP-394		"MAP-264 /lib/widget/WebServiceForm.js"
+MAP-367		"MAP-264 /lib/widget/Measurement.js"
+MAP-338		"MAP-264 /lib/widget/GetFeatureInfo.js"
+MAP-387		"MAP-264 /lib/widget/TimeSeries.js"
+MAP-362		"MAP-264 /lib/widget/MapPane2.js"
+MAP-361		"MAP-264 /lib/widget/MapPane.js"
+MAP-350		"MAP-264 /lib/widget/GoogleMapZoomOut.js"
+MAP-349		"MAP-264 /lib/widget/GoogleMapZoomIn.js"
+MAP-348		"MAP-264 /lib/widget/GoogleMapDragPan.js"
+MAP-347		"MAP-264 /lib/widget/GmlRendererWZ.js"
+MAP-346		"MAP-264 /lib/widget/GmlRendererWKT.js"
+MAP-345		"MAP-264 /lib/widget/GmlRendererVG.js"
+MAP-343		"MAP-264 /lib/widget/GmlRendererSVG.js"
+MAP-341		"MAP-264 /lib/widget/GmlRenderer.js"
+MAP-340		"MAP-264 /lib/widget/GmlPointRenderer.js"
+MAP-339		"MAP-264 /lib/widget/GetMarkerInfo.js"
+MAP-337		"MAP-264 /lib/widget/GeoRssRenderer.js"
+MAP-336		"MAP-264 /lib/widget/GeoRssParser.js"
+MAP-314		"MAP-264 /lib/widget/AoiBoxWZ.js"
+MAP-312		"MAP-264 /lib/widget/AoiBoxDHTML.js"
+MAP-311		"MAP-264 /lib/widget/AoiBox2.js"
+MAP-295		"MAP-262 /lib/tool/MouseClickHandler.js"
+MAP-293		"MAP-262 /lib/tool/GoogleMapTools.js"
+MAP-288		"MAP-262 /lib/tool/DragPanHandler.js"
+MAP-286		"MAP-262 /lib/tool/AutoResize.js"
+MAP-285		"MAP-262 /lib/tool/AoiMouseHandler.js"
+MAP-272		"MAP-261 /lib/model/GetMap.js"
+MAP-265		/lib/graphics
+MAP-260		"MAP-265 /lib/graphics"
+MAP-422		lib/util/Utils.js::transformNodeToString() can create invalid XML
+MAP-416		"MAP-412 create a list of files to be deprecated"
+MAP-414		"MAP-412 ceate a list of files to be archived"
+MAP-413		"MAP-412 create /archive structure"
+MAP-412		Archiving and deprecating files
+MAP-409		"MAP-264 /lib/Widget/GmlRendererBase.js"
+MAP-407		"MAP-264 /lib/widget/TipWidgetBase.js"
+MAP-400		"MAP-264 /lib/widget/WmsCapabilitiesImport.js"
+MAP-399		"MAP-264 /lib/widget/WktParser.js"
+MAP-378		"MAP-264 /lib/widget/SelectAllMapLayers.js"
+MAP-360		"MAP-264 /lib/widget/MapImage.js"
+MAP-359		"MAP-264 /lib/widget/Locations.js"
+MAP-357		"MAP-264 /lib/widget/Loading.js"
+MAP-356		"MAP-264 /lib/widget/LegendGraphic.js"
+MAP-344		"MAP-264 /lib/widget/GmlRendererTest.js"
+MAP-332		"MAP-264 /lib/widget/FeatureListSF.js"
+MAP-331		"MAP-264 /lib/widget/FeatureList.js"
+MAP-320		"MAP-264 /lib/widget/ClickPass.js"
+MAP-258		"MAP-204 AoiForm.js"
+MAP-252		"MAP-196 Button.js"
+MAP-245		"MAP-220 InsertFeature.js"
+MAP-244		"MAP-201 MapScaleBar.js"
+MAP-243		"MAP-220 DeleteFeature.js"
+MAP-227		"MAP-220 EditPolygon.js"
+MAP-226		"MAP-220 EditLine.js"
+MAP-225		"MAP-220 EditPoint.js"
+MAP-224		"MAP-222 GeoRSSRenderer.js"
+MAP-223		"MAP-222 GMLRendererOL.js"
+MAP-219		"MAP-204 Widget(s) for management of maptips with onmouseover and onclick for vector layers"
+MAP-218		"MAP-201 Graticule.js"
+MAP-216		"MAP-196 SetAoi.js"
+MAP-205		"MAP-204 WfsGetFeature.js"
+MAP-203		"MAP-201 CursorTrack.js"
+MAP-202		"MAP-201 OverviewMap.js"
+MAP-200		"MAP-196 ZoomOut.js"
+MAP-199		"MAP-196 ZoomIn.js"
+MAP-195		double define of var coords in function
+MAP-193		README should be updated to reflect released version
+MAP-173		Austrian projections for Proj.js
+MAP-169		ButtonBase.js, RssLayer.js, FeatureFactory.js, WfsQueryLayer.js use fixed "mainMapContainer" instead of mapContainerId config setting
+MAP-162		JS error in Enhanced Viewer demo on IE
+MAP-91		Interface with Google Maps
+MAP-418		Dynamically loaded OpenLayers map theme finishes too late - rendering issue in OverviewMap.js
+MAP-411		Remove docbook-xsl
+MAP-278		"MAP-261 /lib/model/Proj.js"
+MAP-271		"MAP-261 /lib/model/GeoRSS.js"
+MAP-183		Use CSCS projection library
+MAP-168		WidgetBase.js.txt (old) contains changes against WidgetBase.js
+MAP-125		add layer doesn't honor: queryable and style/legend
+MAP-112		Projection transformation utility functions do not support EPSG:27700 (OSGB1936 / British National Grid)
+MAP-111		GetFeatureInfo makes incorrect WMS request when another layer name is a substring of the query layer name
+MAP-39		Feature isn't deselected after it was deleted Submitted: camerons SF-1364103
+MAP-38		Null gml:coordinate Point is rendered in top left of MapPane Submitted: Camerons SF-1351128
+MAP-36		Drag Pan Tool: Mouseup outside the map should be procesed Submitted: maiqui SF-1259486
+MAP-21		<widget> is not defined" javascript errors Submitted: openwereld SF-1386001
+MAP-14		Update GeoRSS demo to new feed format Submitted: Cappelaere SF-1394556
+MAP-423		Wrong value in EPSG26591.js
+MAP-405		"MAP-261 MergeModel.js"
+MAP-402		"MAP-264 /lib/widget/ZoomOut.js"
+MAP-401		"MAP-264 /lib/widget/ZoomIn.js"
+MAP-397		"MAP-264 /lib/widget/WidgetBase.js"
+MAP-396		"MAP-264 /lib/widget/Widget.js"
+MAP-392		"MAP-264 /lib/widget/TransactionResponse.js"
+MAP-391		"MAP-264 /lib/widget/TipWidgetOL.js"
+MAP-386		"MAP-264 /lib/widget/TabbedContent.js"
+MAP-384		"MAP-264 /lib/widget/ShowDistance.js"
+MAP-383		"MAP-264 /lib/widget/SetAoi.js"
+MAP-380		"MAP-264 /lib/widget/SelectMapLayers.js"
+MAP-374		"MAP-264 /lib/widget/Reset.js"
+MAP-373		"MAP-264 /lib/widget/OverviewMap.js"
+MAP-366		"MAP-264 /lib/widget/MapTitle.js"
+MAP-364 	"MAP-264 /lib/widget/MapScaleBar.js"
+MAP-363 	"MAP-264 /lib/widget/MapPaneOL.js"
+MAP-355 	"MAP-264 /lib/widget/Legend.js"
+MAP-354 	"MAP-264 /lib/widget/LayerProperty.js"
+MAP-353 	"MAP-264 /lib/widget/LayerControl.js"
+MAP-352 	"MAP-264 /lib/widget/InsertFeature.js"
+MAP-351 	"MAP-264 /lib/widget/Graticule.js"
+MAP-335 	"MAP-264 /lib/widget/Forward.js"
+MAP-333 	"MAP-264 /lib/widget/FilterAttributes.js"
+MAP-330 	"MAP-264 /lib/widget/FeatureInfo.js"
+MAP-327 	"MAP-264 /lib/widget/EditPoint.js"
+MAP-326 	"MAP-264 /lib/widget/EditLine.js"
+MAP-325 	"MAP-264 /lib/widget/EditButtonBase.js"
+MAP-324 	"MAP-264 /lib/widget/DragPan.js"
+MAP-323 	"MAP-264 /lib/widget/DeleteFeature.js"
+MAP-322 	"MAP-264 /lib/widget/CursorTrack.js"
+MAP-321 	"MAP-264 /lib/widget/CollectionList.js"
+MAP-318 	"MAP-264 /lib/widget/ButtonBase.js"
+MAP-317 	"MAP-264 /lib/widget/Button.js"
+MAP-316 	"MAP-264 /lib/widget/Back.js"
+MAP-310 	"MAP-264 /lib/widget/Abstract.js"
+
+Outstanding Issues (highest priority first):
+--------------------------------------------
+MAP-404		Memory Leak
+MAP-420		tm2llNoConvergence errors with cscs
+MAP-259		Checking all .js files for their purpose and compatability
+MAP-257		"MAP-201 MapScaleText.js"
+MAP-248		"MAP-201 update config.xsd"
+MAP-247		"MAP-201 Deprecate MapContainerBase"
+MAP-229		"MAP-228 basic"
+MAP-228		OpenLayers-Integration: Examples
+MAP-222		OpenLayers-Integration: Renderer widgets
+MAP-221		"MAP-220 EditButtonBase.js"
+MAP-220		OpenLayers-Integration: Feature editing widgets
+MAP-217		OpenLayers-Integration: TimeSeries widgets
+MAP-212		"MAP-201 Loading.js"
+MAP-210		"MAP-201 LayerControl.js"
+MAP-204		OpenLayers-Integration: Information retrieval widgets
+MAP-201		OpenLayers-Integration: Map display widgets
+MAP-198		"MAP-196 ButtonBase.js"
+MAP-197		"MAP-201 MapPaneOL.js"
+MAP-196		OpenLayers-Integration: Map navigation widgets
+MAP-172		'error loading XSL stylesheet' when using IE & HTTPS
+MAP-164		JS error loading shipTracks demo in IE
+MAP-141		Use OpenLayers for rendering & integrate OL tools
+MAP-139		Provide the Mapbuilder JS from a single URL, accessable by all applications
+MAP-6		Problem with two WMS layers with the same name submitted: kc7bfi SF-1400521
+MAP-255		use the new NASA EO WMS in the time series demo
+MAP-246		"MAP-201 OWSContext"
+MAP-192		Opacity management
+MAP-163		Issues with query in Enhanced demo
+MAP-161		In IE map <div> moves to bottom if window width is too small
+MAP-153		Mapbuilder should detect browsers which don't support XSLT
+MAP-149		autoresize tool
+MAP-132		Add support for https to proxy (java, php, javascript)
+MAP-119		loading2 doesn't work with tabbedcontent
+MAP-71		Duplicate GetFeatureInfo responses forced if mouse click occurs before previous query finished.
+MAP-59		GetFeatureInfo URL generated for a second WMS in same context as first is repeated in the variable string.
+MAP-49		set properties by URL parameters Submitted: Mike Adair SF - 1257212
+MAP-43		duplicate layers mess up when deleting them Submitted: graphrisc SF-1361616
+MAP-35		use scalehints in context docs Submitted: madair1 SF-1174298
+MAP-25		Move util.js into JS objects Submitted: camerons SF-1071242
+MAP-24		Gazetteer widget auto zoom Submitted: nobody SF-1380974
+MAP-17		Line 96 Error firstChild is null or not an object Submitted: Cappelaere SF-1392108
+MAP-16		Line 278 Object required Submitted: Cappelaere SF-1392112
+MAP-408		"MAP-264 /lib/widget/TipWidgetConfig.js"
+MAP-365		"MAP-264 /lib/widget/MapScaleText.js"
+MAP-51		set the locator map with an image Submitted Virginie Berre SF - 1220313
+
+mapbuilder-lib-1.5-alpha1
+==========================
+This Mapbuilder release adds a string of new features and developments to
+the Mapbuilder core. While the core Mapbuilder functionality remains stable,
+the new features should still be considered alpha; some new interfaces still
+might change, the features have not been extensively tested and there are
+still some major outstanding bugs.
+
+Some of the new features include:
+
+Compression:
+The released version of Mapbuilder is now bundled up into one file and
+compressed into half of its original size.
+
+OWS Context:
+Mapbuilder previously stored its LayerList in a Web Map Context (WMC) document.
+A WMC describes a list of WMS layers. The latest Mapbuilder supports the
+OGC's draft OWS Context specification which extends the WMC to include:
+WFS layers, GeoRSS layers, GML Layers.
+
+The OWS Context is rendered by the new MapPane2 and MapPaneOL widgets.
+In the next release, we plan to deprecate MapPane2 and MapPane and replace them
+by MapPaneOL.
+
+Vector rendering using SVG/VML:
+We now have SVG and VML rendering using MapPane and MapPaneOL. This rendering
+is much faster than the previous WZGraphics library, however older browsers
+will still need to revert the the WZGraphics library.
+
+OpenLayers used for Rendering:
+The MapPaneOL widget now uses OpenLayers for rendering. This means we can
+easilly tap into OpenLayer's support for numerous map providers.
+Eg: Tiled WMS, Google Maps, Yahoo Maps, MSN Maps, WFS, GML, etc.
+We still haven't integrated the Mapbuilder tools with OpenLayer tools yet, but
+that is expected to be completed for the next release.
+
+SLD Editor:
+We now have a Styled Layer Descriptor (SLD) Editor example. A SLD describes
+whether you map features should be rendered as red fat lines or blue thin
+lines and you can apply styles to maps.
+
+GeoRSS:
+We have some GeoRSS examples which include rendering vector layers SVG/VML.
+
+Bugs fixed:
+-----------
+MAP-135 	loadXML across domains error in MSXML5 : "Access denied" 
+MAP-148 	Error in lib/util/Util.js::setISODate() 
+MAP-128 	WfsGetFeature() appends "?" to URL without checking if URL already has a "?" 
+MAP-126 	List license associated with each library used by Mapbuilder 
+MAP-19 		IE problem: "Error: 'this.doc' is null or not an object Submitted: Cappelaere SF-1390868 
+MAP-9 		Layer Control does not update when a new layer is loaded Submitted: Cappelaere SF-1393270 
+MAP-144 	proxy.php dosen't work in combination with postLoad and postGetLoad functions 
+MAP-137 	Zoom in/out in TimeSeries demo 
+MAP-136 	component register broken 
+MAP-124 	Mapbuilder looks for mapbuilderConfig.xml which doesn't exist 
+MAP-116 	Version widget doesn't work since switching to SVN from CVS 
+MAP-100 	A reload/refresh main map pane widget 
+MAP-86 		Map Widgets: Scale Bar 
+MAP-67 		Editline generates extra leading whitespace 
+MAP-50		Add SVG rendering of GML data Submitted: Nedjo Rogers
+
+Outstanding Issues (highest priority first):
+--------------------------------------------
+MAP-139		Provide the Mapbuilder JS from a single URL, accessable by all applications 
+MAP-138		Compress all files - automate compression process 
+MAP-71		Duplicate GetFeatureInfo responses forced if mouse click occurs before previous query finished. 
+MAP-147		Area Widget 
+MAP-143		Improve mapbuilder's search ranking in Google 
+MAP-142		Provide a Javascript API to Mapbuilder 
+MAP-141		Use OpenLayers for rendering 
+MAP-134		eval statements prevent shrinksafe from working 
+MAP-133		mapbuilder ask each layer twice to the server 
+MAP-121		Create documentation showing mapbuilder in context with other projects 
+MAP-110		IE problem with GmlCooordinates2Coords.xsl 
+MAP-105		Pixel Coord <--> LatLong translation only works for EPSG:4326 projections 
+MAP-93		User authenticates with the system in order to make modifications to the map features (Add/remove/delete) 
+MAP-91		Interface with Google Maps 
+MAP-70		add WSDL/SOAP support 
+MAP-6		Problem with two WMS layers with the same name submitted: kc7bfi SF-1400521 
+MAP-153		Mapbuilder should detect browsers which don't support XSLT 
+MAP-146		Provide OSGeo branding to the website 
+MAP-145		Formalise Incubation process doc 
+MAP-140		Common Header/Footer in demos 
+MAP-132		Add support for https to proxy (java, php, javascript) 
+MAP-127		GetFeatureInfo tool will not work 
+MAP-125		add layer doesn't honor: queryable and style/legend 
+MAP-122		Set up http://demo.communitymapbuilder.org 
+MAP-119		loading2 doesn't work with tabbedcontent 
+MAP-112		Projection transformation utility functions do not support EPSG:27700 (OSGB1936 / British National Grid) 
+MAP-111		GetFeatureInfo makes incorrect WMS request when another layer name is a substring of the query layer name 
+MAP-95		Acceptance Tests 
+MAP-94		New GUI Widgets 
+MAP-92		Interface with OpenStreetMap project 
+MAP-89		Moving Objects 
+MAP-87		Map Feature Rendering: Satelite imagery 
+MAP-84		Gazetteer/GeoCoder 
+MAP-83		Map Feature Rendering: XML/GML 
+MAP-82		Map Annotation 
+MAP-81		Map Symbology 
+MAP-80		Map Data Repository 
+MAP-79		Build a Mapuilder Application from a web interface 
+MAP-59		GetFeatureInfo URL generated for a second WMS in same context as first is repeated in the variable string. 
+MAP-56		Give visual marker to current active layer in legend Submitted By: Nedjo Rogers SF - 1157443 
+MAP-52		Add support for WKT data source. Submitted: Nedjo Rogers SF-1203287 
+MAP-49		set properties by URL parameters Submitted: Mike Adair SF - 1257212 
+MAP-47		process multiple context documents in one page Submitted John Pulles SF- 1401526 
+MAP-43		duplicate layers mess up when deleting them Submitted: graphrisc SF-1361616 
+MAP-42		error initializing mapbuilder when used in drupal module Submitted: openwereld SF-1352137 
+MAP-40		GeoRSS divs not cleared on loadModel Submitted: nobody SF-1291065 
+MAP-39		Feature isn't deselected after it was deleted Submitted: camerons SF-1364103 
+MAP-38		Null gml:coordinate Point is rendered in top left of MapPane Submitted: Camerons SF-1351128 
+MAP-36		Drag Pan Tool: Mouseup outside the map should be procesed Submitted: maiqui SF-1259486 
+MAP-35		use scalehints in context docs Submitted: madair1 SF-1174298 
+MAP-25		Move util.js into JS objects Submitted: camerons SF-1071242 
+MAP-24		Gazetteer widget auto zoom Submitted: nobody SF-1380974 
+MAP-22		wfs-t java.lang.ExceptionInInitializerError Submitted: mneteler SF-1383838 
+MAP-21		<widget> is not defined" javascript errors Submitted: openwereld SF-1386001 
+MAP-17		Line 96 Error firstChild is null or not an object Submitted: Cappelaere SF-1392108 
+MAP-16		Line 278 Object required Submitted: Cappelaere SF-1392112 
+MAP-14		Update GeoRSS demo to new feed format Submitted: Cappelaere SF-1394556 
+MAP-7		Graphical Highlight of WFS Polygon is mangled Submitted: sjf_8 SF-1404143 
+MAP-131		setXpathValue works for tags but not for tags attributes 
+MAP-69		Using a custom stylesheet to group layers 
+MAP-55		Create hover-over popups when mouse hovers over a feature Submitted By: Cameron Shorter SF - 1173569 
+MAP-51		set the locator map with an image Submitted Virginie Berre SF - 1220313 
+MAP-34		GmlRenderer complexity OUT OF CONTROL with zoomin Submitted: maiqui SF-1306834 
+MAP-27		Change Open GIS to Open Geospatial Submitted: camerons SF-1168180 
+MAP-26		Layers from geoserver periodically not returned Submitted: camerons SF-1357587 
+
+
 mapbuilder-lib-1.0-release
 ==========================
 This marks the first official release of the Community Mapbuilder
@@ -12,101 +339,84 @@
 
 Bugs fixed:
 -----------
-MAP-68		IE: MapPane refreshing layers 
+MAP-68 		IE: MapPane refreshing layers 
 MAP-73 		js error passing bbox in via URL (was bug 1391168 on Sourceforge - resubmitted here) 
-MAP-60 		Demis demo - AOIForm.xsl error 
-MAP-104 	WFS-T demo errors 
-MAP-103 	update config schema to 1.0 
-MAP-102 	thisWidget is null in contextEditor search form 
+MAP-44 		hide layer not working in IE Submitted: camerons SF-1364550 
 MAP-99 		localName is not supported by IE 
-MAP-72 		cgiArgs bbox is broken 
-MAP-44 		hide layer not working in IE Submitted: camerons SF-1364550 
-MAP-98 		Time Series demo zoom in should reset the movie loop 
-MAP-97 		support WMS 1.0 in WmsCapabilities model 
-MAP-77 		simple/basic demos 
 MAP-62 		config text stylesheet should override widgetText file values 
-MAP-61 		clarify NASA time series loading 
 MAP-54 		CSS Buttons Submitted By: Mike Adair SF - 1195495 
-MAP-48 		show busy signal Submitted: Steven M Ottens SF - 1322587 
+MAP-8 		GetFeatureInfo fails against GeoServer WMS Submitted: kc7bfi SF-1400525 
+MAP-18 		js error passing bbox in via URL submitted: davidherbert2 SF-1391168 
 MAP-41 		MapPane HTML 4.01 and XHTML compatibility Submitted: sgillies SF-1294608 
-MAP-18 		js error passing bbox in via URL submitted: davidherbert2 SF-1391168 
-MAP-8 		GetFeatureInfo fails against GeoServer WMS Submitted: kc7bfi SF-1400525 
-MAP-101 	Proj.js attribution 
-MAP-78 		demo contexts updates 
+MAP-97 		support WMS 1.0 in WmsCapabilities model 
 MAP-74 		Stop refreshing the UI controls!!! 
-MAP-64 		incorrect aspect ratio in modisWorld context file 
-MAP-33 		Gml point opacity - transparensity has changed Submitted: maiqui SF-1258381 
-MAP-30 		Links in mapbuilder/index.html broker Submitted: camerons SF-1164770 
-MAP-28 		query icon Submitted: tomkralidis SF-968519 
 
 Outstanding Issues (highest priority first):
 --------------------------------------------
-MAP-105 	Pixel Coord <--> LatLong translation only works for EPSG:4326 projections
-MAP-95 		Acceptance Tests
-MAP-94 		New GUI Widgets
-MAP-93 		User authenticates with the system in order to make modifications to the map features (Add/remove/delete)
-MAP-92 		Interface with OpenStreetMap project
-MAP-91 		Interface with Google Maps
-MAP-90 		Demis Maps
-MAP-88 		Map Feature Rendering: SLD
-MAP-87 		Map Feature Rendering: Satelite imagery
-MAP-84 		Gazetteer/GeoCoder
-MAP-83 		Map Feature Rendering: XML/GML
-MAP-82 		Map Annotation
-MAP-81 		Map Symbology
-MAP-76 		Invalid GetFeatureInfo URL - creates MapServer exception
-MAP-70 		add WSDL/SOAP support
-MAP-19 		IE problem: "Error: 'this.doc' is null or not an object Submitted: Cappelaere SF-1390868
-MAP-9 		Layer Control does not update when a new layer is loaded Submitted: Cappelaere SF-1393270
-MAP-6 		Problem with two WMS layers with the same name submitted: kc7bfi SF-1400521
-MAP-2 		Hardcoded reference to localhost will prevent remote machines from viewing Generated Content
-MAP-100 	A reload/refresh main map pane widget
-MAP-96 		The php server scripts use short tags, this breaks on servers that have disabled use of shortags
-MAP-89 		Moving Objects
-MAP-86 		Map Widgets: Scale Bar
-MAP-85 		Map Widgets: Distance
-MAP-80 		Map Data Repository
-MAP-79 		Build a Mapuilder Application from a web interface
-MAP-75 		Proxy and Serializer scripts should have proper PHP header tag
-MAP-71 		Duplicate GetFeatureInfo responses forced if mouse click occurs before previous query finished.
-MAP-59 		GetFeatureInfo URL generated for a second WMS in same context as first is repeated in the variable string.
-MAP-56 		Give visual marker to current active layer in legend Submitted By: Nedjo Rogers SF - 1157443
-MAP-52 		Add support for WKT data source. Submitted: Nedjo Rogers SF-1203287
-MAP-50 		Add SVG rendering of GML data Submitted: Nedjo Rogers
-MAP-49 		set properties by URL parameters Submitted: Mike Adair SF - 1257212
-MAP-47 		process multiple context documents in one page Submitted John Pulles SF- 1401526
-MAP-43 		duplicate layers mess up when deleting them Submitted: graphrisc SF-1361616
-MAP-42 		error initializing mapbuilder when used in drupal module Submitted: openwereld SF-1352137
-MAP-40 		GeoRSS divs not cleared on loadModel Submitted: nobody SF-1291065
-MAP-39 		Feature isn't deselected after it was deleted Submitted: camerons SF-1364103
-MAP-38 		Null gml:coordinate Point is rendered in top left of MapPane Submitted: Camerons SF-1351128
-MAP-37 		CSS error in Firefox 1.5beta causes layers not to load Submitted: camerons SF-1337858
-MAP-36 		Drag Pan Tool: Mouseup outside the map should be procesed Submitted: maiqui SF-1259486
-MAP-35 		use scalehints in context docs Submitted: madair1 SF-1174298
-MAP-25 		Move util.js into JS objects Submitted: camerons SF-1071242
-MAP-24 		Gazetteer widget auto zoom Submitted: nobody SF-1380974
-MAP-23	 	PHP proxy strips attribute namespaces Submitted: madair1 SF-1386495
-MAP-22 		wfs-t java.lang.ExceptionInInitializerError Submitted: mneteler SF-1383838
-MAP-21 		<widget> is not defined" javascript errors Submitted: openwereld SF-1386001
-MAP-17 		Line 96 Error firstChild is null or not an object Submitted: Cappelaere SF-1392108
-MAP-16 		Line 278 Object required Submitted: Cappelaere SF-1392112
-MAP-15 		Line 29 invalid argument Context Editor Submitted: Cappelaere SF-1392122
-MAP-14 		Update GeoRSS demo to new feed format Submitted: Cappelaere SF-1394556
-MAP-13 		FF 1.5 docStyle.css error Submitted: Cappelaere SF-1394569
-MAP-12 		wrong value for port in proxy.php Submitted: zjonp SF-1397656
-MAP-7 		Graphical Highlight of WFS Polygon is mangled Submitted: sjf_8 SF-1404143
-MAP-57 		Inconsistency in handling of aspect ratio for map viewer between bounding box and image size
-MAP-55 		Create hover-over popups when mouse hovers over a feature Submitted By: Cameron Shorter SF - 1173569
-MAP-53 		Mapbuilder and Geoserver to use the same demos Submitted by: Cameron Shorter SF - 1196838
-MAP-51 		set the locator map with an image Submitted Virginie Berre SF - 1220313
-MAP-34 		GmlRenderer complexity OUT OF CONTROL with zoomin Submitted: maiqui SF-1306834
-MAP-32 		Incorrect click position in WFS-T demo on IE Submitted: camerons SF-1193142
-MAP-29 		Coord string does not handle space char inside tuple Submitted camerons SF-1013754
-MAP-27 		Change Open GIS to Open Geospacial Submitted: camerons SF-1168180
-MAP-26 		Layers from geoserver periodically not returned Submitted: camerons SF-1357587
+MAP-95		Acceptance Tests 
+MAP-94		New GUI Widgets 
+MAP-93		User authenticates with the system in order to make modifications to the map features (Add/remove/delete) 
+MAP-92		Interface with OpenStreetMap project 
+MAP-91		Interface with Google Maps 
+MAP-90		Demis Maps 
+MAP-88		Map Feature Rendering: SLD 
+MAP-87		Map Feature Rendering: Satelite imagery 
+MAP-84		Gazetteer/GeoCoder 
+MAP-83		Map Feature Rendering: XML/GML 
+MAP-82 		Map Annotation 
+MAP-81 		Map Symbology 
+MAP-76 		Invalid GetFeatureInfo URL - creates MapServer exception 
+MAP-70 		add WSDL/SOAP support 
+MAP-19 		IE problem: "Error: 'this.doc' is null or not an object Submitted: Cappelaere SF-1390868 
+MAP-9 		Layer Control does not update when a new layer is loaded Submitted: Cappelaere SF-1393270 
+MAP-6 		Problem with two WMS layers with the same name submitted: kc7bfi SF-1400521 
+MAP-2 		Hardcoded reference to localhost will prevent remote machines from viewing Generated Content 
+MAP-100 	A reload/refresh main map pane widget 
+MAP-96 		The php server scripts use short tags, this breaks on servers that have disabled use of shortags 
+MAP-89 		Moving Objects 
+MAP-86		Map Widgets: Scale Bar 
+MAP-85		Map Widgets: Distance 
+MAP-80		Map Data Repository 
+MAP-79		Build a Mapuilder Application from a web interface 
+MAP-75		Proxy and Serializer scripts should have proper PHP header tag 
+MAP-71		Duplicate GetFeatureInfo responses forced if mouse click occurs before previous query finished. 
+MAP-59		GetFeatureInfo URL generated for a second WMS in same context as first is repeated in the variable string. 
+MAP-56		Give visual marker to current active layer in legend Submitted By: Nedjo Rogers SF - 1157443 
+MAP-52		Add support for WKT data source. Submitted: Nedjo Rogers SF-1203287 
+MAP-50		Add SVG rendering of GML data Submitted: Nedjo Rogers 
+MAP-49		set properties by URL parameters Submitted: Mike Adair SF - 1257212 
+MAP-47		process multiple context documents in one page Submitted John Pulles SF- 1401526 
+MAP-43		duplicate layers mess up when deleting them Submitted: graphrisc SF-1361616 
+MAP-42		error initializing mapbuilder when used in drupal module Submitted: openwereld SF-1352137 
+MAP-40		GeoRSS divs not cleared on loadModel Submitted: nobody SF-1291065 
+MAP-39		Feature isn't deselected after it was deleted Submitted: camerons SF-1364103 
+MAP-38		Null gml:coordinate Point is rendered in top left of MapPane Submitted: Camerons SF-1351128 
+MAP-37		CSS error in Firefox 1.5beta causes layers not to load Submitted: camerons SF-1337858 
+MAP-36		Drag Pan Tool: Mouseup outside the map should be procesed Submitted: maiqui SF-1259486 
+MAP-35		use scalehints in context docs Submitted: madair1 SF-1174298 
+MAP-25		Move util.js into JS objects Submitted: camerons SF-1071242 
+MAP-24		Gazetteer widget auto zoom Submitted: nobody SF-1380974 
+MAP-23		PHP proxy strips attribute namespaces Submitted: madair1 SF-1386495 
+MAP-22		wfs-t java.lang.ExceptionInInitializerError Submitted: mneteler SF-1383838 
+MAP-21		<widget> is not defined" javascript errors Submitted: openwereld SF-1386001 
+MAP-17		Line 96 Error firstChild is null or not an object Submitted: Cappelaere SF-1392108 
+MAP-16		Line 278 Object required Submitted: Cappelaere SF-1392112 
+MAP-15		Line 29 invalid argument Context Editor Submitted: Cappelaere SF-1392122 
+MAP-14		Update GeoRSS demo to new feed format Submitted: Cappelaere SF-1394556 
+MAP-13		FF 1.5 docStyle.css error Submitted: Cappelaere SF-1394569 
+MAP-12		wrong value for port in proxy.php Submitted: zjonp SF-1397656 
+MAP-7		Graphical Highlight of WFS Polygon is mangled Submitted: sjf_8 SF-1404143 
+MAP-57		Inconsistency in handling of aspect ratio for map viewer between bounding box and image size 
+MAP-55		Create hover-over popups when mouse hovers over a feature Submitted By: Cameron Shorter SF - 1173569 
+MAP-53		Mapbuilder and Geoserver to use the same demos Submitted by: Cameron Shorter SF - 1196838 
+MAP-51		set the locator map with an image Submitted Virginie Berre SF - 1220313 
+MAP-34		GmlRenderer complexity OUT OF CONTROL with zoomin Submitted: maiqui SF-1306834 
+MAP-32		Incorrect click position in WFS-T demo on IE Submitted: camerons SF-1193142 
+MAP-29		Coord string does not handle space char inside tuple Submitted camerons SF-1013754 
+MAP-27		Change Open GIS to Open Geospatial Submitted: camerons SF-1168180 
+MAP-26		Layers from geoserver periodically not returned Submitted: camerons SF-1357587 
 
 
-
 mapbuilder-lib-1.0-rc2 (stable)
 ===============================
 This commences the second release candidate of the 1.0 release
@@ -225,7 +535,7 @@
 1164770  links in mapbuilder/index.html broker 
 1013754  Coord string does not handle space char inside tuple 
 968519   query icon 
-1168180  Change Open GIS to Open Geospacial 
+1168180  Change Open GIS to Open Geospatial 
 1357587  Layers from geoserver periodically not returned 
 1071242  Move util.js into JS objects 
 
@@ -265,7 +575,7 @@
 1013754 Coord string does not handle space char inside tuple
 968519 query icon
 1175978 rename model/DescribeFeatureType.js
-1168180 Change Open GIS to Open Geospacial
+1168180 Change Open GIS to Open Geospatial
 1162133 Add GPL header to all source files.
 1102212 EditTools don't contain French tooltip
 1071242 Move util.js into JS objects
@@ -322,7 +632,7 @@
 1013754 Coord string does not handle space char inside tuple
 968519 query icon
 1175978 rename model/DescribeFeatureType.js
-1168180 Change Open GIS to Open Geospacial
+1168180 Change Open GIS to Open Geospatial
 1162133 Add GPL header to all source files.
 1102212 EditTools don't contain French tooltip
 1071242 Move util.js into JS objects
